General

General operations (profile, orders, reference data)

Create and pay for an order

post

Purchase by product name, location, and cycle. For Datacenter/ISP, location is required. For Standart Residential Proxy, location is not required.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
or
or
or
or
Responses
200

Success

application/json
successbooleanRequiredExample: true
messagestringRequiredExample: Order paid successfully
order_idintegerRequired
post
/user/api/orders/purchase

Calculate order price

get

Calculates price by product name, cycle name and quantity. Uses the same validation rules as purchase (allowed billing cycles, promo rules).

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
productstringRequiredExample: Datacenter Proxy
locationstring · nullableOptionalExample: DE
cyclestring · nullableOptionalExample: monthly
quantityinteger · nullableOptionalExample: 10
promo_codestring · nullableOptionalExample: SAVE10
Responses
200

Success

application/json
original_priceintegerOptional
final_priceintegerOptional
discount_percentintegerOptional
get
/user/api/orders/calculate

Change the order billing cycle

post

Changes the billing cycle by cycle name. Only for Datacenter & ISP proxies. If the promo code is not available for the selected cycle, it will be automatically reset.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
order_idintegerRequired
Body
cyclestringRequiredExample: monthly
Responses
200

Success

application/json
successbooleanOptional
messagestringOptional
order_idintegerOptional
original_priceintegerOptional
final_priceintegerOptional
discount_percentintegerOptional
post
/user/api/orders/change-billing-cycle/{order_id}

Change order auto-renewal

post

Enable/disable auto-renewal. Only for Datacenter & ISP proxies.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
order_idintegerRequired
Query parameters
auto_renewalbooleanRequiredExample: true
Responses
200

Success

application/json
successbooleanOptional
messagestringOptional
post
/user/api/orders/edit-auto-renewal/{order_id}

Get products and their cycles

get

Returns API products with the names of available cycles.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

Product list

application/json
successbooleanRequired
get
/user/api/proxies/products
200

Product list

Get the available number of proxies

get

Returns the total available quantity for all products.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

Success

application/json
countrystringRequired
productstringRequired
amountintegerRequired
get
/user/api/proxies/available-count
200

Success

User information

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

Profile data

application/json
emailstringRequired
active_ordersintegerRequired
wallet_balanceintegerRequired

in cents

get
/user/api/me
200

Profile data

Order list

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
statusstringRequired

active | on-hold | cancelled | all

offsetintegerOptional

Result offset (default 0)

Example: 0
limitinteger · min: 1 · max: 100Optional

Page size (1..100, default 20)

Example: 20
Responses
200

Order list

application/json
successbooleanRequired
countintegerOptional

Number of orders in the current result set

prevstring · nullableOptional

Previous page URI

nextstring · nullableOptional

Next page URI

get
/user/api/orders
200

Order list

Get order information

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idintegerRequired
Responses
200

Order information

application/json
successbooleanRequired
get
/user/api/orders/{id}
200

Order information

Renew order

post

Renewal is available only when order status is on-hold.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idintegerRequired
Responses
200

Success

application/json
successbooleanRequired
post
/user/api/orders/{id}/renew

Change order tag

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idintegerRequired
Body
tagstringRequiredExample: none
Responses
200

Success

application/json
successbooleanRequired
post
/user/api/orders/{id}/tag
200

Success

Last updated

Was this helpful?